Bug 981548 - [All LANG][RHSM GUI] Unlocalized strings on 'My Installed Products' & 'My Subscriptions' tab.
[All LANG][RHSM GUI] Unlocalized strings on 'My Installed Products' & 'My Sub...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: Translation
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-07-05 02:43 EDT by Lijun Li
Modified: 2013-10-01 09:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized strings 'Subscriptions' 'Status Details' (80.59 KB, image/png)
2013-07-05 02:48 EDT, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2013-07-05 02:43:59 EDT
Description of problem:
Unlocalized strings for subscription-manager-gui.

Version-Release number of selected component (if applicable):
RHEL5.10 Beta 1 build:
subscription-manager-gui-1.8.11-1.el5

How reproducible:
100%

Steps to Reproduce:
1. Open Red Hat Subscription Manager in local language.

Actual results:
Unlocalized strings:
Subscriptions
Status Details

Expected results:
They should be localized.

Additional info:
Comment 1 Lijun Li 2013-07-05 02:48:22 EDT
Created attachment 769111 [details]
Unlocalized strings 'Subscriptions' 'Status Details'
Comment 2 Sharath Dwaral 2013-07-16 14:19:14 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.8.13-1.el5_9
subscription-manager-migration-1.8.13-1.el5_9
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5_9
subscription-manager-debuginfo-1.8.13-1.el5_9
subscription-manager-gui-1.8.13-1.el5_9

Verification:

Verified for the following languages

msgunfmt --no-wrap /usr/share/locale/<LOCALE>/LC_MESSAGES/rhsm.mo | egrep -A2 -B1 "Subscription:|Status Details:"

Oriya 		or_IN
Assamese	as_IN
Hindi 		hi_IN
Marati		mr_IN
Gujarati	gu_IN
Kannada		kn_IN
Tamil		ta_IN
Telgu		te_IN
Malayalam	ml_IN

Chinese		zh_CN	
Korean		ko_KR
Japanese	ja_JP	
Taiwanese	zh_TW
Portuguese      pt_BR
Spanish 	es_ES
French		fr_FR
Italian		it_IT

LANGS pa and bn-IN are currently 79% translated.  See...
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X

>>>  de_DE Status not translated

Moving back to new


de_DE  Status
Comment 3 John Sefler 2013-07-16 16:30:32 EDT
Verifying...
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.el5


[root@jsefler-5 ~]# for i in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ________________________________; echo $i; msgunfmt $i | egrep -A1 "Subscription:|Status Details:"; done;
________________________________
/usr/share/locale/as/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>অৱস্থাৰ বিৱৰণসমূহ:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>স্বাক্ষৰণ:</b>"
--
msgid "Status Details:"
msgstr "অৱস্থাৰ বিৱৰণসমূহ:"
--
msgid "Subscription:"
msgstr "স্বাক্ষৰণ:"
________________________________
/usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo
msgid "<b>Subscription:</b>"
msgstr "<b>সাবস্ক্রিপশন:</b>"
________________________________
/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Status Details:</b>"

--
msgid "<b>Subscription:</b>"
msgstr "<b>Subskription:</b>"
--
msgid "Status Details:"
msgstr "Status Details:"

--
msgid "Subscription:"
msgstr "Subskription"
________________________________
/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Información de estatus:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>Suscripción:</b>"
--
msgid "Status Details:"
msgstr "Información de estatus:"
--
msgid "Subscription:"
msgstr "Suscripción:"
________________________________
/usr/share/locale/fr/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Détails du statut :</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>Abonnement :</b>"
--
msgid "Status Details:"
msgstr "Détails du statut :"
--
msgid "Subscription:"
msgstr "Abonnement :"
________________________________
/usr/share/locale/gu/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>સ્થિતિ વિગતો:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>ઉમેદવારી:</b>"
--
msgid "Status Details:"
msgstr "પરિસ્થિતિ વિગતો:"
--
msgid "Subscription:"
msgstr "ઉમેદવારી:"
________________________________
/usr/share/locale/hi/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>स्थिति विवरण:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>सदस्यता:</b>"
--
msgid "Status Details:"
msgstr "प्रस्थिति विवरण:"
--
msgid "Subscription:"
msgstr "सदस्यता:"
________________________________
/usr/share/locale/it/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Dettagli sullo stato:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>Sottoscrizione:</b>"
--
msgid "Status Details:"
msgstr "Dettagli sullo stato:"
--
msgid "Subscription:"
msgstr "Sottoscrizione:"
________________________________
/usr/share/locale/ja/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>状態の詳細:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>サブスクリプション:</b> "
--
msgid "Status Details:"
msgstr "状態の詳細:"
--
msgid "Subscription:"
msgstr "サブスクリプション:"
________________________________
/usr/share/locale/kn/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>ಸ್ಥಿತಿ ವಿವರಗಳು:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>ಚಂದಾದಾರಿಕೆ:</b>"
--
msgid "Status Details:"
msgstr "ಸ್ಥಿತಿ ವಿವರ"
--
msgid "Subscription:"
msgstr "ಚಂದಾದಾರಿಕೆ"
________________________________
/usr/share/locale/ko/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>상태 정보:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>서브스크립션:</b>"
--
msgid "Status Details:"
msgstr "상태 정보: "
--
msgid "Subscription:"
msgstr "서브스크립션: "
________________________________
/usr/share/locale/ml/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>അവസ്ഥ വിവരങ്ങള്‍:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>സബ്സ്ക്രിപ്ഷന്‍:</b>"
--
msgid "Status Details:"
msgstr "അവസ്ഥ വിവരണങ്ങള്‍:"
--
msgid "Subscription:"
msgstr "സബ്സ്ക്രിപ്ഷന്‍:"
________________________________
/usr/share/locale/mr/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>स्थिती तपशील:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>सबस्क्रिप्शन:</b>"
--
msgid "Status Details:"
msgstr "स्थिती तपशील:"
--
msgid "Subscription:"
msgstr "सबस्क्रिप्शन:"
________________________________
/usr/share/locale/or/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>ସ୍ଥିତି ବିବରଣୀ:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>ସଦସ୍ୟତା:</b>"
--
msgid "Status Details:"
msgstr "ସ୍ଥିତି ବିବରଣୀ:"
--
msgid "Subscription:"
msgstr "ସଦସ୍ୟତା:"
________________________________
/usr/share/locale/pa/LC_MESSAGES/rhsm.mo
msgid "<b>Subscription:</b>"
msgstr "<b>ਮੈਂਬਰੀ:</b>"
________________________________
/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Detalhes de Status:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>Subscrição:</b>"
--
msgid "Status Details:"
msgstr "Detalhes de Status:"
--
msgid "Subscription:"
msgstr "Subscrição:"
________________________________
/usr/share/locale/ru/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>Сведения о состоянии:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>Подписка:</b>"
--
msgid "Status Details:"
msgstr "Сведения о состоянии:"
--
msgid "Subscription:"
msgstr "Подписка:"
________________________________
/usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>நிலை விவரங்கள்:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>சந்தாபடுத்தல்:</b>"
--
msgid "Status Details:"
msgstr "நிலை விவரங்கள்:"
--
msgid "Subscription:"
msgstr "சந்தா:"
________________________________
/usr/share/locale/te/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>స్థితి వివరాలు:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>సబ్‌స్క్రిప్షన్:</b>"
--
msgid "Status Details:"
msgstr "స్థితి వివరాలు:"
--
msgid "Subscription:"
msgstr "సబ్‌స్క్రిప్షన్:"
________________________________
/usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>订阅详情:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>订阅:</b>"
--
msgid "Status Details:"
msgstr "状态详情:"
--
msgid "Subscription:"
msgstr "订阅:"
________________________________
/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo
msgid "<b>Status Details:</b>"
msgstr "<b>狀態的詳細資料:</b>"
--
msgid "<b>Subscription:</b>"
msgstr "<b>訂閱:</b>"
--
msgid "Status Details:"
msgstr "狀態的詳細資料:"
--
msgid "Subscription:"
msgstr "訂閱:"
[root@jsefler-5 ~]# 




Lang pa is not yet translated.
This is being tracked by https://bugzilla.redhat.com/show_bug.cgi?id=928082#c4
Lang bn_IN is not yet translated.
This is being tracked by https://bugzilla.redhat.com/show_bug.cgi?id=928082#c4
The msgstr for "Status Detail" in lang de_DE truely translates to the same value. 

Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.